module CRO
  class API
    @@uri = "https://services.cro.ie/cws"
    def initialize
      @auth = {:username => "#{CRO::Config.email}", :password => "#{CRO::Config.api_key}"}
    end

    def search(company_name, search_type)
      HTTParty.get(URI.escape(@@uri + "/companies?company_name=#{company_name}&searchType=#{search_type}&company_bus_ind=E&format=json"), :basic_auth => @auth)
    end

    def submissions(company_num, company_type)
      HTTParty.get(@@uri + "/submissions?company_bus_ind=" + company_type + "&company_num=" + company_num + "&format=json", :basic_auth => @auth)
    end
    
    def get_submission(sub_num, doc_num)
      HTTParty.get(@@uri + "/submission/" + sub_num + "/" + doc_num + "?format=json&htmlEnc=1", :basic_auth => @auth)
    end
  end
end